package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.IconInfo;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface IconInfoService {
	IconInfo get(String id);
	boolean exist(String id);
	int insert(IconInfo model);
	int update(IconInfo model);
	int delete(String id);
	List<IconInfo> list();
	Page<IconInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}